Subject: Re: [bug#77833] Xapian cache/search proof of concept

From: Gabriel Santos <[email-masked]>
Date: Sun, 27 Apr 2025 20:12:39 -0300

Em 27 de abril de 2025 19:05:59 BRT, "Noé Lopez via Guix-patches via" <[email-masked]> escreveu:
>Hi everyone!
>
>I’ve implemented everything I wanted, so here is Guix Xapian v1.1!
>
>As proposed by Ludo, you can now use it as a channel, detailed usage
>instructions are in the README at
><https://codeberg.org/Baleine/guix-xsearch>.
>
>After installing, you can just run guix xsearch --index and then guix
>xsearch <search> to get <0.2 seconds search!
>
>New features compared to 0.1:
>- Use as channel.
>- Separate caches per profile.
>- Faster search by not loading modules.
>
>I’d appreciate if you could try it out and see if it works for you
>before I announce it on guix-devel.
>
>Have a nice day,
>Noé

Greetings,

I'll try it out, and do an additional test by adding it as a television[1]
backend.

First issue I can point out though, your channel introduction has a
mistake:

>/home/noe/src/guix-xsearch

Should be:

>https://codeberg.org/Baleine/guix-xsearch

Regards,

-- 
Gabriel Santos